Name:           python-minigun-soren-n
Version:        0.4.8
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A library for property-based testing of Python programs

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/soren-n/minigun
Source:         %{pypi_source minigun_soren_n}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'minigun-soren-n' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-minigun-soren-n
Summary:        %{summary}

%description -n python3-minigun-soren-n %_description


%prep
%autosetup -p1 -n minigun_soren_n-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-minigun-soren-n -f %{pyproject_files}


%changelog
%autochangelog